/**
* Version: 0.1
* Author: Johannes Blobel <johannesblobel@onlinehome.de>: 2014
**/
WuSGameState gameState;                 // the model where the positions of sheeps and wolf are stored
WuSView gameView;                       // draws the game
WuSControllerInterface gameController;  // implements the game logic
WuSInputInterface gameInput;            // handles input

void setup() {
  size(800,1000);
  // initialize all modules
  gameState = new WuSGameState();
  gameView = new WuSView(gameState,800);
  gameInput = new WuSMouseInput(gameView);
  gameController = new WuSStateMachineController("spielbaumgraeff.txt",gameState, gameInput); // "spielbaumgraeff.txt" contains the rules for the game
  
}

void draw() {
  background(255);
  gameController.update();  // do moves of wolf and sheeps, depending on the current state
  gameView.draw();          // draw the game
}

//hand over the mouse event to input module
void mouseClicked()
{
  this.gameInput.update();
}
